Page MenuHomePhabricator

efl/hints: add restricted and combined max size hints
ClosedPublic

Authored by zmike on Aug 12 2019, 8:46 AM.

Details

Summary

these function the same as the min size hint versions and enable
distinction between internally-set max size hints and user-set max size
hints

@feature

ref T8122

Depends on D9551

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Aug 12 2019, 8:46 AM
zmike requested review of this revision.Aug 12 2019, 8:46 AM
cedric requested changes to this revision.Aug 12 2019, 11:10 AM
cedric added inline comments.
src/lib/efl/interfaces/efl_gfx_hint.eo
78

This seems like a really internal bad to use for anyone outside of efl function. Shouldn't it be at least @protected? Or maybe even a private eo function like for example EFL_CANVAS_GROUP_ADD_OPS as an _EXTRA_OPS?

This revision now requires changes to proceed.Aug 12 2019, 11:10 AM
zmike updated this revision to Diff 24043.Aug 12 2019, 11:52 AM
zmike edited the summary of this revision. (Show Details)

fix win max hinting

cedric accepted this revision.Aug 12 2019, 11:59 AM
This revision is now accepted and ready to land.Aug 12 2019, 11:59 AM
segfaultxavi requested changes to this revision.Aug 13 2019, 12:10 AM

Current c# generator ignore setter and getter docs when there's also a property doc. I would move or remove the setter and getter docs.

Adding @protected is a good move to prevent unintended use by apps. I am not sure it is honoured by the c# generator, though.

src/lib/efl/interfaces/efl_gfx_hint.eo
90

Applications should use @.hint_size_max instead.

101

Minimum?

116

Minimum?

This revision now requires changes to proceed.Aug 13 2019, 12:10 AM
zmike updated this revision to Diff 24056.Aug 13 2019, 10:45 AM
zmike edited the summary of this revision. (Show Details)

doc cop

This revision is now accepted and ready to land.Aug 14 2019, 12:11 AM
zmike updated this revision to Diff 24082.Aug 14 2019, 11:30 AM

fix combined_max bug

This revision was automatically updated to reflect the committed changes.